/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.jwtdSpgl.service.impl;

import org.springblade.modules.jwtdSpgl.pojo.entity.JwtdSpglEntity;
import org.springblade.modules.jwtdSpgl.pojo.vo.JwtdSpglVO;
import org.springblade.modules.jwtdSpgl.excel.JwtdSpglExcel;
import org.springblade.modules.jwtdSpgl.mapper.JwtdSpglMapper;
import org.springblade.modules.jwtdSpgl.service.IJwtdSpglService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 警务团队_商品管理 服务实现类
 *
 * @author BladeX
 * @since 2024-11-11
 */
@Service
public class JwtdSpglServiceImpl extends BaseServiceImpl<JwtdSpglMapper, JwtdSpglEntity> implements IJwtdSpglService {

	@Override
	public IPage<JwtdSpglEntity> selectJwtdSpglPage(IPage<JwtdSpglEntity> page, JwtdSpglEntity jwtdSpgl) {
		return page.setRecords(baseMapper.selectJwtdSpglPage(page, jwtdSpgl));
	}

	@Override
	public List<JwtdSpglExcel> exportJwtdSpgl(Wrapper<JwtdSpglEntity> queryWrapper) {
		List<JwtdSpglExcel> jwtdSpglList = baseMapper.exportJwtdSpgl(queryWrapper);
		//jwtdSpglList.forEach(jwtdSpgl -> {
		//	jwtdSpgl.setTypeName(DictCache.getValue(DictEnum.YES_NO, JwtdSpglEntity.getType()));
		//});
		return jwtdSpglList;
	}

	@Override
	public boolean updateSpxj(JwtdSpglEntity jwtdSpgl) {
		return baseMapper.updateSpxj(jwtdSpgl);
	}

	@Override
	public boolean updateSpbh(JwtdSpglEntity jwtdSpgl) {
		return baseMapper.updateSpbh(jwtdSpgl);
	}

	@Override
	public IPage<JwtdSpglEntity> selectJwtdSpglPageApp(IPage<Object> page, JwtdSpglEntity jwtdSpgl) {
		return baseMapper.selectJwtdSpglPageApp(page, jwtdSpgl);
	}

	@Override
	public void updateSpzt(Long id) {
		baseMapper.updateSpzt(id);
	}

	@Override
	public String selectXz(String lqdd) {
		return baseMapper.selectXz(lqdd);
	}
}
